import { z } from "zod";

/**
 * Environment variables
 */
export const env = {
	RUNTIME_ENVIRONMENT: z.enum(["prod", "dev"]).parse(process.env.RUNTIME_ENVIRONMENT),
	DB_PATH: "db/sqlite.db", // As drizzle-kit currently can't load env variables, use a hardcoded value
	OAUTH: {
		CLIENT_ID: z.string().parse(process.env.OAUTH_CLIENT_ID),
		CLIENT_SECRET: z.string().parse(process.env.OAUTH_CLIENT_SECRET),
	},
};
